ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Functions
odf.form Namespace Reference

## Functions
| Button (**args)
| Checkbox (**args)
| Column (**args)
| Combobox (**args)
| ConnectionResource (**args)
| Date (**args)
| File (**args)
| FixedText (**args)
| Form (**args)
| FormattedText (**args)
| Frame (**args)
| GenericControl (**args)
| Grid (**args)
| Hidden (**args)
| Image (**args)
| ImageFrame (**args)
| Item (**args)
| ListProperty (**args)
| ListValue (**args)
| Listbox (**args)
| Number (**args)
| Option (**args)
| Password (**args)
| Properties (**args)
| Property (**args)
| Radio (**args)
| Text (**args)
| Textarea (**args)
| Time (**args)
| ValueRange (**args)

## Function Documentation

## ◆ Button()

odf.form.Button | ( | ** | args | ) |

Definition at line 26 of file form.py.

## ◆ Checkbox()

odf.form.Checkbox | ( | ** | args | ) |

Definition at line 29 of file form.py.

## ◆ Column()

odf.form.Column | ( | ** | args | ) |

Definition at line 32 of file form.py.

## ◆ Combobox()

odf.form.Combobox | ( | ** | args | ) |

Definition at line 35 of file form.py.

## ◆ ConnectionResource()

odf.form.ConnectionResource | ( | ** | args | ) |

Definition at line 38 of file form.py.

## ◆ Date()

odf.form.Date | ( | ** | args | ) |

Definition at line 41 of file form.py.

## ◆ File()

odf.form.File | ( | ** | args | ) |

Definition at line 44 of file form.py.

## ◆ FixedText()

odf.form.FixedText | ( | ** | args | ) |

Definition at line 47 of file form.py.

## ◆ Form()

odf.form.Form | ( | ** | args | ) |

Definition at line 50 of file form.py.

## ◆ FormattedText()

odf.form.FormattedText | ( | ** | args | ) |

Definition at line 53 of file form.py.

## ◆ Frame()

odf.form.Frame | ( | ** | args | ) |

Definition at line 56 of file form.py.

## ◆ GenericControl()

odf.form.GenericControl | ( | ** | args | ) |

Definition at line 59 of file form.py.

## ◆ Grid()

odf.form.Grid | ( | ** | args | ) |

Definition at line 62 of file form.py.

## ◆ Hidden()

odf.form.Hidden | ( | ** | args | ) |

Definition at line 65 of file form.py.

## ◆ Image()

odf.form.Image | ( | ** | args | ) |

Definition at line 68 of file form.py.

## ◆ ImageFrame()

odf.form.ImageFrame | ( | ** | args | ) |

Definition at line 71 of file form.py.

## ◆ Item()

odf.form.Item | ( | ** | args | ) |

Definition at line 74 of file form.py.

## ◆ Listbox()

odf.form.Listbox | ( | ** | args | ) |

Definition at line 83 of file form.py.

## ◆ ListProperty()

odf.form.ListProperty | ( | ** | args | ) |

Definition at line 77 of file form.py.

## ◆ ListValue()

odf.form.ListValue | ( | ** | args | ) |

Definition at line 80 of file form.py.

## ◆ Number()

odf.form.Number | ( | ** | args | ) |

Definition at line 86 of file form.py.

## ◆ Option()

odf.form.Option | ( | ** | args | ) |

Definition at line 89 of file form.py.

## ◆ Password()

odf.form.Password | ( | ** | args | ) |

Definition at line 92 of file form.py.

## ◆ Properties()

odf.form.Properties | ( | ** | args | ) |

Definition at line 95 of file form.py.

## ◆ Property()

odf.form.Property | ( | ** | args | ) |

Definition at line 98 of file form.py.

## ◆ Radio()

odf.form.Radio | ( | ** | args | ) |

Definition at line 101 of file form.py.

## ◆ Text()

odf.form.Text | ( | ** | args | ) |

Definition at line 104 of file form.py.

## ◆ Textarea()

odf.form.Textarea | ( | ** | args | ) |

Definition at line 107 of file form.py.

## ◆ Time()

odf.form.Time | ( | ** | args | ) |

Definition at line 110 of file form.py.

## ◆ ValueRange()

odf.form.ValueRange | ( | ** | args | ) |

Definition at line 113 of file form.py.